package main

import (
	"github.com/spf13/cobra"
)

// Command
var writeCmd = &cobra.Command{
	Use:    "write",
	Short:  "rewrites all config files",
	PreRun: setVerbosity,
	RunE: func(_ *cobra.Command, _ []string) error {
		m, err := cfg.LoadZones(false)
		if err != nil {
			return err
		}

		return m.SyncAll()
	},
}

func init() {
	rootCmd.AddCommand(writeCmd)
}
